Index: unnethack-3.5.3/sys/unix/nethack.sh
===================================================================
--- unnethack-3.5.3.orig/sys/unix/nethack.sh	2010-09-15 11:46:07.499129581 +0400
+++ unnethack-3.5.3/sys/unix/nethack.sh	2010-09-15 12:34:08.015126388 +0400
@@ -1,6 +1,29 @@
 #!/bin/sh
 #	SCCS Id: @(#)nethack.sh	3.4	1990/02/26
 
+export TERM=xterm-256color
+
+if [ "x$1" == "x--xterm" ]; then
+  shift
+  exec /usr/bin/osso-xterm "$0 --refresh"
+fi
+
+# This is black, black magic! This is needed to force the terminal to refresh 
+# its width/height properly when run from the application menu.
+if [ "x$1" == "x--refresh" ]; then
+  shift
+  read -t1 FOO
+fi
+
+BACKGROUND=$(gconftool -g /apps/osso/xterm/background)
+FOREGROUND=$(gconftool -g /apps/osso/xterm/foreground)
+
+trap 'gconftool -s --type=string /apps/osso/xterm/background $BACKGROUND; gconftool -s --type=string /apps/osso/xterm/foreground $FOREGROUND; exit' HUP QUIT EXIT TERM KILL
+
+gconftool -s --type=string /apps/osso/xterm/background black
+gconftool -s --type=string /apps/osso/xterm/foreground lightblue
+
+
 HACKDIR=/usr/games/lib/nethackdir
 export HACKDIR
 HACK=$HACKDIR/nethack
@@ -60,9 +83,9 @@
 cd $HACKDIR
 case $1 in
 	-s*)
-		exec $HACK "$@"
+		$HACK "$@"
 		;;
 	*)
-		exec $HACK "$@" $MAXNROFPLAYERS
+		$HACK "$@" $MAXNROFPLAYERS
 		;;
 esac
